<?php
class AuthController extends Zend_Controller_Action
{
	function init()
	{
		$this->initView();
		$this->view->baseUrl = $this->_request->getBaseUrl();
		Zend_Loader::loadClass('User');
		
		$auth = Zend_Auth::getInstance();
		if ($auth->hasIdentity()) {
			
			$this->view->nama =Zend_Auth::getInstance()->getIdentity()->username;			 
			$this->view->status="Logout";
		}
		else 
		{
			$this->view->nama = "Guest";
			$this->view->status="Login";
		}
		
	}

	function loginAction()
	{	
			if ($this->_request->isPost()) {
				// collect the data from the user
				Zend_Loader::loadClass('Zend_Filter_StripTags');
				$f = new Zend_Filter_StripTags();
				$username = $f->filter($this->_request->getPost('txtNama'));
				$password = $f->filter($this->_request->getPost('txtPass'));
				
				if (empty($username)) {
					$this->view->message = 'Masukkan username.';
				} else {
					
					// setup Zend_Auth adapter for a database table
					Zend_Loader::loadClass('Zend_Auth_Adapter_DbTable');
					$dbAdapter = Zend_Registry::get('dbAdapter');
					$authAdapter = new Zend_Auth_Adapter_DbTable($dbAdapter);
					$authAdapter->setTableName('User');
					$authAdapter->setIdentityColumn('username');
					$authAdapter->setCredentialColumn('userpassword');
					
					// Set the input credential values to authenticate against
					$authAdapter->setIdentity($username);
					$authAdapter->setCredential(md5($password));
					
					// do the authentication
					$auth = Zend_Auth::getInstance();
					$result = $auth->authenticate($authAdapter);
					
					if ($result->isValid()) {
						// success: store database row to auth's storage
						// system. (Not the password though!)
						$data = $authAdapter->getResultRowObject(null,'password');
						$auth->getStorage()->write($data);
						$this->view->message = 'Anda sudah login';
						$this->view->status="Logout";
						$this->_redirect('auth/login');
					} else {
						// failure: clear database row from session
						$this->view->message = 'Login failed.';
						$this->view->status="Login";
					}
				}			
			}		
	}
	
	function logoutAction()
	{
		$auth = Zend_Auth::getInstance();
		if ($auth->hasIdentity()) {
		    
		     Zend_Auth::getInstance()->clearIdentity();   	
		}	
		 
        $this->_redirect('/auth/login');
	}
}